[A010]Portfolio Value Distribution
Assess the lucrativeness of a technology space based on the spread of estimated patent valuation, with lucrative technologies having a greater proportion of their patent simple families in the higher value buckets.Our valuation method has been developed and implemented by integrating external research published by academics and patent lawyers with our own internal research. We use an underlying set of 80+ different patent indicators (e.g. forward citations, family sizes, patent age, legal status etc.) to compute the valuation, which is adjusted based on the distributions of patent values traded in the past. Design patents are not valued with this methodology.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | 2020 | Patent apply date to, format:yyyy |
| string | 2010 | Patent apply date from, format:yyyy |
| string | CN | Select the authority of the patent, the default query all databases, eg CN、US、EP、JP. To find more information, refer to https://analytics.zhihuiya.com/status.
Example: US OR EP |
| string | B66B11 | Patent IPC classification |
| string | car | Searches for keywords within patent title and summary. Supports AND, OR, NOT search logic, for example "mobile phone AND (screen OR battery)". |
| string | 2020 | Patent publication date to, format:yyyy |
| string | 2010 | Patent publication date from, format:yyyy |
| string | TACD: virtual reality | Enter the Analytics Query, with a maximum length of 800 characters and cannot contain complex wildcards such as $W $PRE $WS $SEN $PARA $FREQ .etc |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
count | integer<int32> | 180 | simple family numbers |
patent_value | string | $1-$30K | range |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
{
"data": [
{
"count": 180,
"patent_value": "$1-$30K"
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms